require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

-- Nueva presentación y enlaces
opciones = {
  "🏡 Tu hogar cálido donde podemos interactuar de distintos sistemas operativos. 🤝",
  "Grupo de WhatsApp",
  "Grupo de Telegram",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "🌟 Accesibilidad Tech Oficial 🌟",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    Button,
    text = "Cerrar",
    onClick = function(view)
      dlg.dismiss()
      vibrator.vibrate(100)
    end,
    layout_width = "wrap_content",
    gravity = 5,
  },
  {
    GridView,
    id = "grid",
    numColumns = 1,
    layout_width = "fill",
    layout_height = "fill",
  }
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)

grid.adapter = SingleLineAdapter(service, String(opciones))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

    if v.text == opciones[1] then
      service.paste(opciones[1])
      return true
    elseif v.text == opciones[2] then
      openLink("https://chat.whatsapp.com/LE6MCNaOuJ3930zIxdvrZ5")
    elseif v.text == opciones[3] then
      openLink("https://t.me/accesibilidadtechoficial")
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
  service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end

return true